* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-color: #1a1a2e;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: #fff;
}

#app {
    padding: 2rem
}

.container {
    width: 960px;
    margin: 0 auto;
}

/* Mobile 476/576/768 */
@media (max-width: 728px) {
    .container {
        width: 600px;
    }
}

h1 {
    font-size: 3rem;
    font-weight: 400;
    text-shadow: 2px 5px 20px #0f3460;
}

header {
    margin-bottom: 2rem;
}

header p {
    color: #aaa;
    font-size: .8rem;
}

a {
    color: #ccc;
}

.text-center {
    text-align: center;
}

.mb-4 {
    margin-bottom: 1rem;
}

.mt-4 {
    margin-top: 1rem;
}

.card {
    background-color: #16213e;
    border: 2px solid #0f3460;
    padding: 10px;
    color: #eee;
    border-radius: 5px;
}

.card-play {

    display: flex;
    align-items: center;
    justify-content: center;
    position: relative
}

.choose-color {
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 0 3rem;
    z-index: 3;
}

.choose-color .btn {
    padding: 3rem;
    font-size: 2.5rem;
    border-radius: 1rem;
}

.btn {
    padding: .5rem;
    width: 100%;
    border-radius: .3rem;
    border: none;
    transition: all .2s;
    cursor: pointer;
}

.btn-white {
    color: #aaa;
    background-color: #eee;
    border: 3px solid #aaa;
}

.btn-primary {
    color: #aaa;
    background-color: #5A8DEE;
    border-color: #5A8DEE;
    color: #fff;
}

.btn-white:hover {
    color: #eee;
    background-color: #ccc;
    border: 3px solid #eee;
}

.btn-black {
    color: #999;
    background-color: #222;
    border: 3px solid #999;
}

.btn-black:hover {
    color: #222;
    background-color: #aaa;
    border: 3px solid #222;
}

.choose-color h2 {
    font-size: 3rem;
    text-align: center;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

#canvas.blur {
    filter: blur(20px);
    pointer-events: none;
    opacity: .4;
}

/* Mobile 476/576/768 */
@media (max-width: 728px) {
    #canvas {
        /* width: 350px; */
        height: 350px;
    }
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -15px;
}

[class*='col-'] {
    padding: 0 10px;
}

table tr td {
    padding: .2rem .5rem
}

.col-1 {
    flex: none;
    width: calc(100% * 1 / 12)
}

.col-2 {
    flex: none;
    width: calc(100% * 2 / 12)
}

.col-3 {
    flex: none;
    width: calc(100% * 3 / 12)
}

.col-4 {
    flex: none;
    width: calc(100% * 4 / 12)
}

.col-4 {
    flex: none;
    width: calc(100% * 4 / 12)
}

.col-5 {
    flex: none;
    width: calc(100% * 5 / 12)
}

.col-6 {
    flex: none;
    width: calc(100% * 6 / 12)
}

.col-7 {
    flex: none;
    width: calc(100% * 7 / 12)
}

.col-8 {
    flex: none;
    width: calc(100% * 8 / 12)
}

.col-9 {
    flex: none;
    width: calc(100% * 9 / 12)
}

.col-10 {
    flex: none;
    width: calc(100% * 10 / 12)
}

.col-11 {
    flex: none;
    width: calc(100% * 11 / 12)
}

.col-12 {
    flex: none;
    width: calc(100% * 12 / 12)
}